Index: include/header.php
===================================================================
--- include/header.php	(revision 8259)
+++ include/header.php	(working copy)
@@ -223,8 +223,8 @@
     default:      $imgSrc = "logoOrange.png"; $imgArSrc = "madeByArgonOrange.png"; break;
     }
 ?>
-   <a class="ltrLeft" href='/'><?php image( $imgSrc, "VideoLAN association"); ?></a>
-   <div class="ltrLeft" id="nonprofitOrganizationDiv">
+   <a class="ltrFloatLeft" href='/'><?php image( $imgSrc, "VideoLAN association"); ?></a>
+   <div class="ltrFloatLeft" id="nonprofitOrganizationDiv">
    <?php
     echo _('A project and a').' <a href="//www.videolan.org/videolan/" class="noUnderline">'._('non-profit organization').'</a>, '.
          _('composed of volunteers, developing and promoting free, open-source multimedia solutions.');?>
@@ -233,9 +233,9 @@
    <?php if ($b_show_donate != true ) return; ?>
 <!-- LTR: check the padding entry below next to dollar.png -->
    <div id='donate'>
-       <div class="ltrLeft" style='font-size: 14px; color: #909090; padding-top: 5px;'>
+       <div class="ltrFloatLeft" style='font-size: 14px; color: #909090; padding-top: 5px;'>
            <span style='text-transform: uppercase;'><?php echo _("donate"); ?></span> &nbsp;<a href='//www.videolan.org/contribute.html#money'>(<?php echo _("why?");?>)</a></div>
-       <img src='//images.videolan.org/images/paypal.png' class="ltrRight" alt="paypal" />
+       <img src='//images.videolan.org/images/paypal.png' class="ltrFloatRight" alt="paypal" />
        <form style='clear: both; padding-top: 10px;' action="https://www.paypal.com/en_US/cgi-bin/webscr" method="post">
            <p>
                <input name="cmd" value="_xclick" type="hidden"/>
@@ -373,7 +373,7 @@
    <div id='footer'>
       <div style='background-image: url( "//images.videolan.org/images/divider.png" ); height: 15px; width: 100%;'></div>
       <div style='padding: 20px 10px 40px; width: 950px; margin: 0 auto;'>
-           <a class="ltrLeft" style='margin-right: 50px;' href='/'>
+           <a class="ltrFloatLeft margin-ltrRight50" href='/'>
             <?php image( 'logoGrey.png', 'Association VideoLAN' ); ?></a>
          <div class='footer_col'>
             <div class='footerHeading'>VLC media player</div>
Index: index.php
===================================================================
--- index.php	(revision 8259)
+++ index.php	(working copy)
@@ -34,7 +34,7 @@
 
         <div class="clearme" style='padding-top: 30px;'>
             <h1 style='margin-bottom: 25px;'><?php echo _("Other projects from VideoLAN");?></h1>
-            <div style='float: left; width: 330px;'>
+            <div class="ltrFloatLeft" style='width: 330px;'>
                 <div class='audienceCallout'><?php echo _("For Everyone");?></div>
                 <div class="clearme">
                     <a href='/vlc/' class='noUnderline'>
@@ -56,7 +56,7 @@
                 </div>
             </div>
 
-            <div style='float: left; margin-left: 50px; width: 320px;'>
+            <div class="ltrFloatLeft ltrMarginLeft50" style='width: 320px;'>
                 <div class='audienceCallout'><?php echo _("For Professionals"); ?></div>
                 <div class="clearme">
                     <a href='/projects/dvblast.html' class='noUnderline'>
@@ -67,7 +67,7 @@
                         </span>
                     </a>
                 </div>
-                <div style='padding-top: 10px; padding-left: 124px;'>
+                <div class="ltrPaddingLeft124" style='padding-top: 10px;'>
                     <a href='/projects/multicat.html' class='noUnderline'>
                         <span class='productName'>multicat</span>
                         <span class='productDescription'>
@@ -87,7 +87,7 @@
             </div>
         </div>
 
-        <div style='float: left; margin-left: 50px; width: 180px;'>
+        <div class="ltrFloatLeft ltrMarginLeft50" style='width: 180px;'>
             <div class='audienceCallout'><?php echo _("For Developers"); ?></div>
             <a href='/developers/libdvdcss.html' class='noUnderline'><span class='productName' style='padding-bottom: 16px;'>libdvdcss</span></a>
             <a href='/developers/libdvbpsi.html' class='noUnderline'><span class='productName' style='padding-bottom: 16px;'>libdvdpsi</span></a>
@@ -103,37 +103,37 @@
 
         <div class="clearme" style='padding-top: 20px;'>
             <h1 style='margin-bottom: 12px;'><?php echo _("Help us out!"); ?></h1>
-            <div style='float: left; width: 320px;'>
+            <div class="ltrFloatLeft" style='width: 320px;'>
                 <div class='audienceCallout'><?php echo _("donate"); ?></div>
                 <div class='clearme'>
                     <?php image( "cash.png", "Donate to VLC", "floatSmallImg" ); ?>
                     <div class='productDescription'>
                         <?php echo _("VideoLAN is a non-profit organization.")."<br />";
                          echo _(" All our costs are met by donations we receive from our users. If you enjoy using a VideoLAN product, please donate to support us."); ?><br />
-                        <a href='/contribute.html' class='extraInfoLink' style='text-transform: uppercase; font-size: 13px; display: block; padding-top: 10px;'>
+                        <a href='/contribute.html' class='extraInfoLink' style='text-transform: uppercase; font-size: 13px; display: block; padding-top: 10px; clear: none'>
                           <?php echo _("Learn More"); ?></a>
                     </div>
                 </div>
             </div>
-            <div style='float: left; width: 300px;'>
+            <div class="ltrFloatLeft" style='width: 300px;'>
                 <div class='audienceCallout'><?php echo _("Contribute"); ?></div>
                 <div class='clearme'>
                     <?php image( "tools.png", "Contribute Work to VLC", "floatSmallImg" ); ?>
                     <div class='productDescription'>
                         <?php echo _("VideoLAN is open-source software.")."<br />";
                         echo _("This means that if you have the skill and the desire to improve one of our products, your contributions are welcome"); ?><br />
-                        <a href='/contribute.html' class='extraInfoLink' style='text-transform: uppercase; font-size: 13px; display: block; padding-top: 10px;'>
+                        <a href='/contribute.html' class='extraInfoLink' style='text-transform: uppercase; font-size: 13px; display: block; padding-top: 10px; clear: none'>
                           <?php echo _("Learn More"); ?></a>
                     </div>
                 </div>
             </div>
-            <div style='float: left; width: 320px;'>
+            <div class="ltrFloatLeft" style='width: 320px;'>
                 <div class='audienceCallout'><?php echo _("Spread the Word"); ?></div>
                 <div class='clearme'>
                     <?php image( "heart.png", "Spread VLC", "floatSmallImg" ); ?>
                     <div class='productDescription'>
                         <?php echo _("We feel that VideoLAN has the best video software available at the best price: free. If you agree please help spread the word about our software."); ?><br />
-                        <a href='/contribute.html' class='extraInfoLink' style='text-transform: uppercase; font-size: 13px; display: block; padding-top: 10px;'>
+                        <a href='/contribute.html' class='extraInfoLink' style='text-transform: uppercase; font-size: 13px; display: block; padding-top: 10px; clear: none'>
                           <?php echo _("Learn More"); ?></a>
                     </div>
                 </div>
Index: style/style.css.in
===================================================================
--- style/style.css.in	(revision 8259)
+++ style/style.css.in	(working copy)
@@ -179,6 +179,11 @@
     -webkit-border-radius: 12px;
     border-radius: 12px;
 }
+html[dir="rtl"] #donate {
+    float: left;
+    margin-right: 0px;
+    margin-left: 10px;
+}
 
 #donate form
 {
@@ -209,6 +214,10 @@
     float: left;
     font-size: 12px;
 }
+html[dir="rtl"] #donate .button {
+    margin-left: 0px;
+    margin-right: 5px;
+}
 
 /* ============================ SOCIAL BUTTONS STYLE =========================== */
 
@@ -513,6 +522,12 @@
     padding-left: 7px; padding-right: 23px;
 }
 
+html[dir="rtl"] .smallProjectImg
+{
+    float: right;
+    padding-right: 7px; padding-left: 23px;
+}
+
 /* ======================================= PROJECT PAGES ======================================= */
 
 .projectMain {
@@ -523,6 +538,10 @@
     float: left;
     width: 500px;
 }
+html[dir="rtl"] .projectLeft {
+    float: right;
+}
+
 .projectImg
 {
     float: left;
@@ -652,6 +671,10 @@
     line-height: 12px;
 }
 
+.screenshot
+{
+    cursor: pointer; width: 90px; height: 90px; margin: 5px; float: left;
+}
 
 /* =================================== THEME RECOLORING RULES ====================================== */
 
@@ -687,7 +710,7 @@
 
 .orange .screenshot
 {
-    cursor: pointer; border: 1px solid #F48B00; width: 90px; height: 90px; margin: 5px; float: left;
+    border: 1px solid #F48B00;
 }
 
 /* RED */
@@ -722,7 +745,7 @@
 
 .red .screenshot
 {
-    cursor: pointer; border: 1px solid #ED1C24; width: 90px; height: 90px; margin: 5px; float: left;
+    border: 1px solid #ED1C24;
 }
 
 /* GREEN */
@@ -792,7 +815,7 @@
 
 .blue .screenshot
 {
-    cursor: pointer; border: 1px solid #0070BB; width: 90px; height: 90px; margin: 5px; float: left;
+    border: 1px solid #0070BB;
 }
 
 
@@ -833,68 +856,183 @@
 
 /* LTR vs. RTL */
 
-.ltrLeft {
+.ltrFloatLeft
+{
     float: left;
 }
 
-html[dir="rtl"] .ltrLeft {
+html[dir="rtl"] .ltrFloatLeft
+{
     float: right;
 }
 
-.ltrRight {
+.ltrFloatRight
+{
     float: right;
 }
 
-html[dir="rtl"] .ltrRight {
+html[dir="rtl"] .ltrFloatRight
+{
     float: left;
 }
 
-#nonprofitOrganizationDiv {
-  color: #4D4D4D;
-  font-size: 12px;
-  padding: 10px 10px 5px 20px;
-  line-height: 20px;
-  width: 396px;
+.ltrClearLeft
+{
+    clear: left;
 }
 
-html[dir="rtl"] #nonprofitOrganizationDiv {
-  padding: 10px 10px 20px 5px;
+.ltrMarginLeft50
+{
+    margin-left: 50px;
 }
 
-html[dir="rtl"] #nav {
-  float: right;
+html[dir="rtl"] .ltrMarginLeft50
+{
+    margin-left: 0px;
+    margin-right: 50px;
 }
 
-html[dir="rtl"] #nav .link {
-  text-align: right;
-  float: right;
+.ltrPaddingLeft124
+{
+    padding-left: 124px;
 }
 
-html[dir="rtl"] #nav .link:hover ul li a {
-  float: left;
+html[dir="rtl"] .ltrPaddingLeft124
+{
+    padding-left: 0px;
+    padding-right: 124px;
 }
 
-html[dir="rtl"] #nav ul li a {
-  padding-left:   0px;
-  padding-right: 10px;
+html[dir="rtl"] .ltrClearLeft
+{
+    clear: right;
 }
 
-html[dir="rtl"] #bodyInner {
-  text-align: right;
+html[dir="rtl"] p
+{
+    padding-left: 25px;
+    padding-right: 0;
 }
 
-#social div {
-  text-align: right;
+#nonprofitOrganizationDiv
+{
+    color: #4D4D4D;
+    font-size: 12px;
+    padding: 10px 10px 5px 20px;
+    line-height: 20px;
+    width: 396px;
 }
 
-html[dir="rtl"] #social {
-  float: left;
+html[dir="rtl"] #nonprofitOrganizationDiv
+{
+    padding: 10px 20px 5px 10px;
 }
 
-html[dir="rtl"] #social div {
-  text-align: left;
+html[dir="rtl"] #nav
+{
+    float: right;
+    clear: right;
 }
 
-html[dir="rtl"] #donate {
-  float: left;
+html[dir="rtl"] #nav .link
+{
+    text-align: right;
+    float: right;
 }
+
+html[dir="rtl"] #nav .link:hover ul li a
+{
+    float: left;
+}
+
+html[dir="rtl"] #nav ul li a
+{
+    padding-left:   0px;
+    padding-right: 10px;
+}
+
+html[dir="rtl"] #bodyInner
+{
+    text-align: right;
+}
+
+html[dir="rtl"] #footer
+{ 
+    text-align: right;
+}
+
+#social div
+{
+    text-align: right;
+}
+
+html[dir="rtl"] #social
+{
+    float: left;
+}
+
+html[dir="rtl"] #social div
+{
+    text-align: left;
+}
+
+html[dir="rtl"] .footer_col
+{
+    float: right;
+}
+
+.margin-ltrRight50
+{
+    margin-right: 50px;
+}
+
+html[dir="rtl"] .margin-ltrRight50
+{
+    margin-left: 50px;
+}
+
+html[dir="rtl"] .screenshot
+{
+    float: right;
+}
+
+html[dir="rtl"] .projectImg
+{
+    float: right;
+    padding: 10px 40px 0px 110px;
+}
+
+html[dir="rtl"] .extraInfoLink
+{
+    float: right;
+    padding-right: 0px;
+    padding-left: 40px;
+}
+
+html[dir="rtl"] .extraInfoLink:hover
+{
+    float: right;
+    padding-right: 0px;
+    padding-left: 40px;
+}
+
+
+html[dir="rtl"] #downloadButton
+{
+    float: right;
+}
+
+html[dir="rtl"] img.floatSmallImg
+{
+    float: right;
+    padding-right: 0px;
+    padding-left: 25px;
+}
+
+
+/* I don't want to modify include/os-specific.php as well...*/
+html[dir="rtl"] a.extraInfoLink[style]
+{
+    clear: right;
+    float: right;
+}
Index: vlc/index.php
===================================================================
--- vlc/index.php	(revision 8259)
+++ vlc/index.php	(working copy)
@@ -14,7 +14,7 @@
 
         <div class="clearme" style='padding-top: 26px;'>
             <?php image( 'largeVLC.png', 'Large Orange VLC media player Traffic Cone Logo', 'projectImg' ); ?>
-            <div class="ltrLeft" style='width: 500px;'>
+            <div class="ltrFloatLeft" style='width: 500px;'>
                 <h1 class='bigtitle'>VLC media player</h1>
                 <div class='projectDescription'>
                    <?php echo _("VLC is a free and open source cross-platform multimedia player and framework that plays most multimedia files as well as DVDs, Audio CDs, VCDs, and various streaming protocols."); ?>
@@ -35,7 +35,7 @@
             </div>
         </div>
         <div class="clearme" style='padding-top: 45px;'>
-            <div class="ltrLeft" style='width: 400px; color: #333333;'>
+            <div class="ltrFloatLeft" style='width: 400px; color: #333333;'>
                 <h1 style='margin-bottom: 25px;' class='red'><?php echo _("Features"); ?></h1>
                     <?php echo _("Simple, fast and powerful media player."); ?>
                 <br /><br />
@@ -83,7 +83,8 @@
                             "1.0.0/tm_VLC_Qt4.jpg",
                             "Windows Vista - Qt Interface" );
                 ?>
-                <div style='clear: left;'></div>
+                <div class="ltrClearLeft">
+                </div>
                 <a class='red' style='display: block; padding-top: 10px; padding-left: 5px; font-size: 12px;' href='/vlc/screenshots.html'><?php echo _("View all screenshots"); ?></a>
             </div>
         </div>
